﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample._Default" %>


<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <ej:DropDownList ID="dropdown" ClientSideOnChange="formatchange" runat="server" Width="107px" >
                        <Items>
                            <ej:DropDownListItem Text="currency" Value="c" />
                            <ej:DropDownListItem Text="Number" Value="n" />
                            <ej:DropDownListItem Text="Decimal" Value="d" />
                        </Items>
        </ej:DropDownList>
    <ej:Grid ID="OrdersGrid" runat="server" AllowPaging="true" >
        <ClientSideEvents  QueryCellInfo="queryCellInfo" />
            <Columns>
                
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="90" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="100" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="100" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="90"  />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
                
            </Columns>
           
    </ej:Grid>
    <script type="text/javascript">
        function formatchange(args) {
            var obj = $(".e-grid").ejGrid("instance");
            obj.refreshContent(); //Call this method to trigger QueryCellInfo event


        }
        function queryCellInfo(args) {
            var drpObj = $("#MainContent_dropdown").ejDropDownList("instance");
            if (drpObj.model.value != null)
                args.cell.innerText = Globalize.format(args.data.Freight, drpObj.model.value+"2");
            //Format the data based on selected value of dropdownlist
        }
    </script>
</asp:Content>

